Bug 1960544 - Overly generic CSS rules for dd and dt elements breaks styling elsewhere in console
Summary: Overly generic CSS rules for dd and dt elements breaks styling elsewhere in c...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.7.z
Assignee: Aviv Turgeman
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On: 1959550
Blocks: 1960545
TreeView+ depends on / blocked
 
Reported: 2021-05-14 07:36 UTC by OpenShift BugZilla Robot
Modified: 2021-06-15 09:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-15 09:27:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8925 0 None open [release-4.7] Bug 1960544: Overly generic CSS rules for dd and dt elements breaks styling elsewhere in console 2021-05-19 08:46:31 UTC
Red Hat Product Errata RHSA-2021:2286 0 None None None 2021-06-15 09:28:32 UTC

Description OpenShift BugZilla Robot 2021-05-14 07:36:32 UTC
+++ This bug was initially created as a clone of Bug #1959550 +++

Created attachment 1782122 [details]
Pod details page without kubevirt plugin

Description of problem:  The rules at https://github.com/openshift/console/blame/master/frontend/packages/kubevirt-plugin/src/components/create-vm-wizard/tabs/review-tab/review-tab.scss#L28-L50 are much too generic in scope and result in layout issues elsewhere in the console when the kubevirt plugin is installed.  These rules need to be scoped to the review tab, ideally with a class on each dd and dt element.


Steps to Reproduce:
1.  With the kubevirt plugin installed, visit a pod details page
2.  Note the space between details dt and dd items is too small

--- Additional comment from rhamilto@redhat.com on 2021-05-11 18:35:14 UTC ---

Created attachment 1782123 [details]
Pod details page with kubevirt plugin installed

Comment 3 Siddharth Sharma 2021-06-04 18:39:41 UTC
This bug will be shipped as part of next z-stream release 4.7.15 on June 14th, as 4.7.14 was dropped due to a regression https://bugzilla.redhat.com/show_bug.cgi?id=1967614

Comment 7 errata-xmlrpc 2021-06-15 09:27:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.16 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2286


Note You need to log in before you can comment on or make changes to this bug.